Home

TON HTTP API

v2.0.0
Base URL
https://ton.nownodes.io

This API enables HTTP access to TON blockchain - getting accounts and wallets information, looking up blocks and transactions, sending messages to the blockchain, calling get methods of smart contracts, and more.

In addition to REST API, all methods are available through JSON-RPC endpoint with method equal to method name and params passed as a dictionary.

The response contains a JSON object, which always has a boolean field ok and either error or result. If ok equals true, the request was successful and the result of the query can be found in the result field. In case of an unsuccessful request, ok equals false and the error is explained in the error.

API Key should be sent either as api_key query parameter or X-API-Key header.

Authentication

api-keyAuthapiKey

API Key: api-key in header

TON HTTP API

API V1 Reference

Get Address Information

GET
https://ton.nownodes.io/getAddressInformation

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get basic information about the address: balance, code, data, last_transaction_id.

Parameters

addressstringrequiredquery

Identifier of target TON account in any form.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Get Extended Address Information

GET
https://ton.nownodes.io/getExtendedAddressInformation

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Similar to previous one but tries to parse additional information for known contract types. This method is based on tonlib's function getAccountState. For detecting wallets we recommend to use getWalletInformation.

Parameters

addressstringrequiredquery

Identifier of target TON account in any form.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Get Wallet Information

GET
https://ton.nownodes.io/getWalletInformation

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieve wallet information. This method parses contract state and currently supports more wallet types than getExtendedAddressInformation: simple wallet, standart wallet, v3 wallet, v4 wallet.

Parameters

addressstringrequiredquery

Identifier of target TON account in any form.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Get Transactions

GET
https://ton.nownodes.io/getTransactions

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get transaction history of a given address.

Parameters

addressstringrequiredquery

Identifier of target TON account in any form.

limitinteger<= 10010query

Maximum number of transactions in response.

ltintegerquery

Logical time of transaction to start with, must be sent with hash.

hashstringquery

Hash of transaction to start with, in base64 or hex encoding , must be sent with lt.

to_ltinteger0query

Logical time of transaction to finish with (to get tx from lt to to_lt).

archivalbooleanfalsequery

By default getTransaction request is processed by any available liteserver. If archival=true only liteservers with full history are used.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Get Address Balance

GET
https://ton.nownodes.io/getAddressBalance

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get balance (in nanotons) of a given address.

Parameters

addressstringrequiredquery

Identifier of target TON account in any form.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Get Address

GET
https://ton.nownodes.io/getAddressState

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get state of a given address. State can be either unitialized, active or frozen.

Parameters

addressstringrequiredquery

Identifier of target TON account in any form.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Pack Address

GET
https://ton.nownodes.io/packAddress

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Convert an address from raw to human-readable format.

Parameters

addressstringrequiredquery

Identifier of target TON account in raw form.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Unpack Address

GET
https://ton.nownodes.io/unpackAddress

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Convert an address from human-readable to raw format.

Parameters

addressstringrequiredquery

Identifier of target TON account in user-friendly form

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Get Masterchain Info

GET
https://ton.nownodes.io/getMasterchainInfo

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get up-to-date masterchain state.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Get Masterchain Block Signatures

GET
https://ton.nownodes.io/getMasterchainBlockSignatures

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get up-to-date masterchain state.

Parameters

seqnointegerrequiredquery

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Get Shard Block Proof

GET
https://ton.nownodes.io/getShardBlockProof

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get merkle proof of shardchain block.

Parameters

workchainintegerrequiredquery

Block workchain id

shardintegerrequiredquery

Block shard id

seqnointegerrequiredquery

Block seqno

from_seqnointegerquery

Seqno of masterchain block starting from which proof is required. If not specified latest masterchain block is used.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Get Consensus Block

GET
https://ton.nownodes.io/getConsensusBlock

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get consensus block and its update timestamp.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Lookup Block

GET
https://ton.nownodes.io/lookupBlock

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Look up block by either seqno, lt or unixtime.

Parameters

workchainintegerrequiredquery

Workchain id to look up block in

shardintegerrequiredquery

Shard id to look up block in

seqnointegerquery

Block's height

ltintegerquery

Block's logical time

unixtimeintegerquery

Block's unixtime

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Get Shards

GET
https://ton.nownodes.io/shards

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get shards information.

Parameters

seqnointegerrequiredquery

Masterchain seqno to fetch shards of.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Get Block Transactions

GET
https://ton.nownodes.io/getBlockTransactions

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get transactions of the given block.

Parameters

workchainintegerrequiredquery
shardintegerrequiredquery
seqnointegerrequiredquery
root_hashstringquery
file_hashstringquery
after_ltintegerquery
after_hashstringquery
countinteger40query

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Get Block Transactions Ext

GET
https://ton.nownodes.io/getBlockTransactionsExt

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get transactions of the given block.

Parameters

workchainintegerrequiredquery
shardintegerrequiredquery
seqnointegerrequiredquery
root_hashstringquery
file_hashstringquery
after_ltintegerquery
after_hashstringquery
countinteger40query

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Get Block Header

GET
https://ton.nownodes.io/getBlockHeader

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get metadata of a given block.

Parameters

workchainintegerrequiredquery
shardintegerrequiredquery
seqnointegerrequiredquery
root_hashstringquery
file_hashstringquery

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Get Config Param

GET
https://ton.nownodes.io/getConfigParam

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get config by id.

Parameters

config_idintegerrequiredquery

Config id

seqnointegerquery

Masterchain seqno. If not specified, latest blockchain state will be used.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Get Config All

GET
https://ton.nownodes.io/getConfigAll

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get cell with full config.

Parameters

seqnointegerquery

Masterchain seqno. If not specified, latest blockchain state will be used.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Get Out Msg Queue Sizes

GET
https://ton.nownodes.io/getOutMsgQueueSizes

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get info with current sizes of messages queues by shards.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Get Token Data

GET
https://ton.nownodes.io/getTokenData

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get NFT or Jetton information.

Parameters

addressstringrequiredquery

Address of NFT collection/item or Jetton master/wallet smart contract

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Get Try Locate Tx

GET
https://ton.nownodes.io/tryLocateTx

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Locate outcoming transaction of destination address by incoming message.

Parameters

sourcestringrequiredquery
destinationstringrequiredquery
created_ltintegerrequiredquery

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Get Try Locate Result Tx

GET
https://ton.nownodes.io/tryLocateResultTx

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Same as previous. Locate outcoming transaction of destination address by incoming message

Parameters

sourcestringrequiredquery
destinationstringrequiredquery
created_ltintegerrequiredquery

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Get Try Locate Source Tx

GET
https://ton.nownodes.io/tryLocateSourceTx

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Locate incoming transaction of source address by outcoming message.

Parameters

sourcestringrequiredquery
destinationstringrequiredquery
created_ltintegerrequiredquery

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Detect Address

GET
https://ton.nownodes.io/detectAddress

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get all possible address forms.

Parameters

addressstringrequiredquery

Identifier of target TON account in any form.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Send Boc

POST
https://ton.nownodes.io/sendBoc

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Send serialized boc file: fully packed and serialized external message to blockchain.

Body

application/json
bocstringrequired

b64 encoded bag of cells

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Send Boc Return Hash

POST
https://ton.nownodes.io/sendBocReturnHash

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Send serialized boc file: fully packed and serialized external message to blockchain. The method returns message hash.

Body

application/json
bocstringrequired

b64 encoded bag of cells

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Send Query

POST
https://ton.nownodes.io/sendQuery

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Send query - unpacked external message. This method takes address, body and init-params (if any), packs it to external message and sends to network. All params should be boc-serialized.

Body

application/json
addressstringrequired

Address in any format

bodystringrequired

b64-encoded boc-serialized cell with message body

init_codestring

b64-encoded boc-serialized cell with init-code

init_datastring

b64-encoded boc-serialized cell with init-data

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Estimate Fee

POST
https://ton.nownodes.io/estimateFee

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Estimate fees required for query processing. body, init-code and init-data accepted in serialized format (b64-encoded).

Body

application/json
addressstringrequired

Address in any format

bodystringrequired

b64-encoded cell with message body

init_codestring

b64-encoded cell with init-code

init_datastring

b64-encoded cell with init-data

ignore_chksigbooleantrue

If true during test query processing assume that all chksig operations return True

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Run Get Method

POST
https://ton.nownodes.io/runGetMethod

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Run get method on smart contract.

Body

application/json
addressstringrequired

Contract address

methodstring | integerrequired

Method name or method id

stackArray<Array<any>>required

Array of stack elements: [['num',3], ['cell', cell_object], ['slice', slice_object]]

seqnointeger

Seqno of masterchain block at which moment the Get Method is to be executed

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Jsonrpc Handler

POST
https://ton.nownodes.io/jsonRPC

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

All methods in the API are available through JSON-RPC protocol (spec).

Body

application/json
methodstringrequired
paramsobject[object Object]
idstring
jsonrpcstring

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout